Commits

Michał Górny  committed e573eb2

ffmpeg & libvisual

  • Participants
  • Parent commits 1b180df

Comments (0)

Files changed (9)

File media-plugins/gst-plugins-ffmpeg/CVS/Entries

 /gst-plugins-ffmpeg-0.10.13_p201211.ebuild/1.15/Sun Aug 11 21:48:04 2013//
 /metadata.xml/1.8/Thu Dec 20 03:39:26 2012//
 D/files////
+/gst-plugins-ffmpeg-0.10.13_p201211-r2.ebuild/0/dummy timestamp//

File media-plugins/gst-plugins-ffmpeg/gst-plugins-ffmpeg-0.10.13_p201211-r2.ebuild

+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-plugins/gst-plugins-ffmpeg/gst-plugins-ffmpeg-0.10.13_p201211-r1.ebuild,v 1.11 2013/10/22 07:20:44 ago Exp $
+
+EAPI=5
+
+inherit eutils flag-o-matic multilib-minimal
+
+MY_PN="gst-ffmpeg"
+MY_P=${MY_PN}-${PV}
+
+# Create a major/minor combo for SLOT
+PVP=(${PV//[-\._]/ })
+SLOT=${PVP[0]}.${PVP[1]}
+
+DESCRIPTION="FFmpeg based gstreamer plugin"
+HOMEPAGE="http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html"
+#SRC_URI="http://gstreamer.freedesktop.org/src/${MY_PN}/${MY_P}.tar.bz2"
+SRC_URI="http://dev.gentoo.org/~tetromino/distfiles/${PN}/${MY_P}.tar.xz
+	http://dev.gentoo.org/~tetromino/distfiles/${PN}/${MY_P}-libav-9-patches.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="+orc"
+
+S=${WORKDIR}/${MY_P}
+
+RDEPEND=">=media-libs/gstreamer-0.10.31:0.10[${MULTILIB_USEDEP}]
+	>=media-libs/gst-plugins-base-0.10.31:0.10[${MULTILIB_USEDEP}]
+	>=virtual/ffmpeg-0.10[${MULTILIB_USEDEP}]
+	|| (
+		media-video/ffmpeg:0[${MULTILIB_USEDEP}]
+		media-libs/libpostproc[${MULTILIB_USEDEP}]
+	)
+	orc? ( >=dev-lang/orc-0.4.6[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig[${MULTILIB_USEDEP}]"
+
+src_prepare() {
+	sed -e 's/sleep 15//' -i configure.ac configure || die
+
+	# libav-9 support backported from gst-plugins-libav-1.1.0
+	epatch ../${MY_P}-libav-9-patches/*.patch
+
+	# compat bits for older ffmpeg/libav releases
+	epatch "${FILESDIR}/${PV}-channel_layout.patch" \
+		"${FILESDIR}/${PV}-iscodec.patch" \
+		"${FILESDIR}/${PV}-coma.patch" \
+		"${FILESDIR}/${PV}-gstffmpegpipe_redef.patch"
+
+	# compatibility with recent releases
+	if has_version '>=media-video/ffmpeg-1.1' || has_version '>=media-video/libav-9' ; then
+		epatch "${FILESDIR}/${PV}-planaraudio.patch"
+		sed -i -e 's/ CODEC_ID/ AV_CODEC_ID/g' \
+			   -e 's/ CodecID/ AVCodecID/g' \
+			   ext/ffmpeg/*.{c,h}
+		epatch "${FILESDIR}/${PV}-ffmpeg2.patch"
+	fi
+}
+
+multilib_src_configure() {
+	# always use system ffmpeg if possible
+	ECONF_SOURCE=${S} \
+	econf \
+		--with-system-ffmpeg \
+		$(use_enable orc)
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	prune_libtool_files --modules
+}
+
+pkg_postinst() {
+	if has_version "media-video/ffmpeg"; then
+		elog "Please note that upstream uses media-video/libav"
+		elog "rather than media-video/ffmpeg. If you encounter any"
+		elog "issues try to move from ffmpeg to libav."
+	fi
+}

File media-plugins/gst-plugins-libav/CVS/Entries

 /gst-plugins-libav-1.2.0.ebuild/1.3/Tue Jan 21 21:56:59 2014//
 /metadata.xml/1.2/Thu Dec 20 03:40:18 2012//
 D/files////
+/gst-plugins-libav-1.2.0-r1.ebuild/0/dummy timestamp//

File media-plugins/gst-plugins-libav/gst-plugins-libav-1.2.0-r1.ebuild

+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-plugins/gst-plugins-libav/gst-plugins-libav-1.2.0.ebuild,v 1.3 2014/01/21 21:56:59 eva Exp $
+
+EAPI="5"
+
+inherit eutils flag-o-matic multilib-minimal
+
+MY_PN="gst-libav"
+DESCRIPTION="FFmpeg based gstreamer plugin"
+HOMEPAGE="http://gstreamer.freedesktop.org/modules/gst-libav.html"
+SRC_URI="http://gstreamer.freedesktop.org/src/${MY_PN}/${MY_PN}-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="+orc"
+
+RDEPEND="
+	>=media-libs/gstreamer-1.2:1.0[${MULTILIB_USEDEP}]
+	>=media-libs/gst-plugins-base-1.2:1.0[${MULTILIB_USEDEP}]
+	>=virtual/ffmpeg-9[${MULTILIB_USEDEP}]
+	orc? ( >=dev-lang/orc-0.4.16[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+	>=dev-util/gtk-doc-am-1.12
+	virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+	sed -e 's/sleep 15//' -i configure.ac configure || die
+
+	# compatibility with recent releases 
+	# TODO: likely apply them with libav-10 when it's out but there will
+	# probably be an upstream gst-libav release compatible at that time.
+	if has_version '>=media-video/ffmpeg-2.0' ; then
+		sed -i -e 's/ CODEC_ID/ AV_CODEC_ID/g' \
+			   -e 's/ CodecID/ AVCodecID/g' \
+			   ext/libav/*.{c,h} || die
+		epatch "${FILESDIR}/${P}-ffmpeg2.patch"
+	fi
+}
+
+multilib_src_configure() {
+	GST_PLUGINS_BUILD=""
+	# always use system ffmpeg/libav if possible
+	ECONF_SOURCE=${S} \
+	econf \
+		--disable-maintainer-mode \
+		--with-package-name="Gentoo GStreamer ebuild" \
+		--with-package-origin="http://www.gentoo.org" \
+		--disable-fatal-warnings \
+		--with-system-libav \
+		$(use_enable orc)
+}
+
+multilib_src_compile() {
+	# Don't build with -Werror
+	emake ERROR_CFLAGS=
+}
+
+multilib_src_install_all() {
+	DOCS="AUTHORS ChangeLog NEWS README TODO"
+	einstalldocs
+	prune_libtool_files --modules
+}
+
+pkg_postinst() {
+	if has_version "media-video/ffmpeg"; then
+		elog "Please note that upstream uses media-video/libav"
+		elog "rather than media-video/ffmpeg. If you encounter any"
+		elog "issues try to move from ffmpeg to libav."
+	fi
+}

File media-plugins/gst-plugins-libvisual/CVS/Entries

 /gst-plugins-libvisual-1.2.3.ebuild/1.7/Sat Apr 19 17:44:52 2014//
 /gst-plugins-libvisual-1.2.4.ebuild/1.1/Sat May 31 14:49:15 2014//
 /metadata.xml/1.1/Tue Mar  8 21:48:26 2005//
+/gst-plugins-libvisual-0.10.36-r1.ebuild/0/dummy timestamp//
+/gst-plugins-libvisual-1.2.4-r1.ebuild/0/dummy timestamp//
 D

File media-plugins/gst-plugins-libvisual/gst-plugins-libvisual-0.10.36-r1.ebuild

+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-plugins/gst-plugins-libvisual/gst-plugins-libvisual-0.10.36.ebuild,v 1.11 2013/02/07 13:15:24 ago Exp $
+
+EAPI="5"
+
+GST_ORG_MODULE=gst-plugins-base
+inherit gstreamer
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
+IUSE=""
+
+RDEPEND=">=media-libs/libvisual-0.4[${MULTILIB_USEDEP}]
+	>=media-plugins/libvisual-plugins-0.4[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	gstreamer_system_link \
+		gst-libs/gst/audio:gstreamer-audio \
+		gst-libs/gst/video:gstreamer-video
+}

File media-plugins/gst-plugins-libvisual/gst-plugins-libvisual-1.2.4-r1.ebuild

+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-plugins/gst-plugins-libvisual/gst-plugins-libvisual-1.2.4.ebuild,v 1.1 2014/05/31 14:49:15 pacho Exp $
+
+EAPI="5"
+
+GST_ORG_MODULE=gst-plugins-base
+inherit gstreamer
+
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
+IUSE=""
+
+RDEPEND=">=media-libs/libvisual-0.4[${MULTILIB_USEDEP}]
+	>=media-plugins/libvisual-plugins-0.4[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	gstreamer_system_link \
+		gst-libs/gst/audio:gstreamer-audio \
+		gst-libs/gst/video:gstreamer-video
+}

File media-plugins/gst-plugins-meta/gst-plugins-meta-0.10-r9.ebuild

 		media-plugins/gst-plugins-dvdread:0.10[${MULTILIB_USEDEP}]
 		media-plugins/gst-plugins-mpeg2dec:0.10[${MULTILIB_USEDEP}]
 		>=media-plugins/gst-plugins-resindvd-0.10.14:0.10[${MULTILIB_USEDEP}] )
-	ffmpeg? ( media-plugins/gst-plugins-ffmpeg:0.10 )
+	ffmpeg? ( media-plugins/gst-plugins-ffmpeg:0.10[${MULTILIB_USEDEP}] )
 	flac? ( media-plugins/gst-plugins-flac:0.10[${MULTILIB_USEDEP}] )
 	http? ( media-plugins/gst-plugins-soup:0.10 )
 	jack? ( media-plugins/gst-plugins-jack:0.10[${MULTILIB_USEDEP}] )
 	lame? ( media-plugins/gst-plugins-lame:0.10[${MULTILIB_USEDEP}] )
 	libass? ( media-plugins/gst-plugins-assrender:0.10[${MULTILIB_USEDEP}] )
-	libvisual? ( media-plugins/gst-plugins-libvisual:0.10 )
+	libvisual? ( media-plugins/gst-plugins-libvisual:0.10[${MULTILIB_USEDEP}] )
 	mms? ( media-plugins/gst-plugins-libmms:0.10[${MULTILIB_USEDEP}] )
 	mp3? (
 		media-libs/gst-plugins-ugly:0.10[${MULTILIB_USEDEP}]

File media-plugins/gst-plugins-meta/gst-plugins-meta-1.0-r2.ebuild

 		media-plugins/gst-plugins-dvdread:1.0[${MULTILIB_USEDEP}]
 		media-plugins/gst-plugins-mpeg2dec:1.0[${MULTILIB_USEDEP}]
 		media-plugins/gst-plugins-resindvd:1.0[${MULTILIB_USEDEP}] )
-	ffmpeg? ( media-plugins/gst-plugins-libav:1.0 )
+	ffmpeg? ( media-plugins/gst-plugins-libav:1.0[${MULTILIB_USEDEP}] )
 	flac? ( media-plugins/gst-plugins-flac:1.0[${MULTILIB_USEDEP}] )
 	http? ( media-plugins/gst-plugins-soup:1.0 )
 	jack? ( media-plugins/gst-plugins-jack:1.0[${MULTILIB_USEDEP}] )
 	lame? ( media-plugins/gst-plugins-lame:1.0[${MULTILIB_USEDEP}] )
 	libass? ( media-plugins/gst-plugins-assrender:1.0[${MULTILIB_USEDEP}] )
-	libvisual? ( media-plugins/gst-plugins-libvisual:1.0 )
+	libvisual? ( media-plugins/gst-plugins-libvisual:1.0[${MULTILIB_USEDEP}] )
 	mms? ( media-plugins/gst-plugins-libmms:1.0[${MULTILIB_USEDEP}] )
 	mp3? (
 		media-libs/gst-plugins-ugly:1.0[${MULTILIB_USEDEP}]